/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fitnesseFixture;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import libraryfitnesse.DateConverter;
import loans.AbstractLoan;

/**
 *
 * @author student
 */
public class OpenLoansAfter {

    private String date;

    public OpenLoansAfter(String date) {
        this.date = date;
    }

    public List<Object> query() {
        List<AbstractLoan> loans = StaticLibrary.libraryInstance.getOpenLoans(date);

        List<Object> resultList = new ArrayList<>();
        for (AbstractLoan loan : loans) {
            resultList.add(constuctLoanPropertyList(loan));
        }
        return resultList;
    }

    private List<List<String>> constuctLoanPropertyList(AbstractLoan loan) {
        List<List<String>> loanList = new ArrayList<>();
        loanList.add(Arrays.asList("from", DateConverter.covertDateTimeToString(loan.getFrom())));
        loanList.add(Arrays.asList("book name", loan.getBook().getName()));
        loanList.add(Arrays.asList("reader name", loan.getReader().getWholeName()));
        return loanList;
    }

}
