/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package libraryfitnesse;

import java.util.List;
import loans.AbstractLoan;

/**
 *
 * @author student
 */
public class LibraryFitnesse {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        Library library = new Library();
        library.registerReader("First", "Reader");
        library.registerReader("Second", "Reader");
        Book b1 = library.registerBook("First Book", "12345");
        Book b2 = library.registerBook("Second Book", "56789");

        System.out.println("Lbrary books:");
        System.out.println(library.getAllBooks().toString());
        System.out.println("Readers:");
        System.out.println(library.getAllReaders().toString());

        library.borrowBookLong("First Book", "First Reader", "11/11/2014 10:23");
        library.borrowBookShort("Second Book", "Second Reader", "11/12/2014 10:23");

        library.returnBook("First Book", "12/12/2014 10:23");
        library.returnBook("Second Book", "11/12/2015 10:23");

        List<AbstractLoan> loans = library.getAllLoans();
        System.out.println(loans.toString());
        System.out.println(loans.size());

        for (AbstractLoan l : loans) {
            System.out.println("Loan fee: " + l.getFees());
        }

        List<AbstractLoan> filteredLoans = library.getOpenLoans("01/01/2015 00:00");
        System.out.println(filteredLoans.toString());
        System.out.println(filteredLoans.size());

        System.out.println("Fine for First Reader: " + library.getTotalFines("First Reader", "11/12/2015 10:23"));
        System.out.println("Fine for Second Reader: " + library.getTotalFines("Second Reader", "11/12/2015 10:23"));
    }

}
