/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package libraryfitnesse;

import java.util.Objects;

/**
 *
 * @author student
 */
public class Book {

    private String name;

    private String isbn;

    private int libraryCode;

    public Book(String name, String isbn, int libraryCode) {
        this.name = name;
        this.isbn = isbn;
        this.libraryCode = libraryCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public int getLibraryCode() {
        return libraryCode;
    }

    public void setLibraryCode(int libraryCode) {
        this.libraryCode = libraryCode;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 73 * hash + Objects.hashCode(this.name);
        hash = 73 * hash + Objects.hashCode(this.isbn);
        hash = 73 * hash + Objects.hashCode(this.libraryCode);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Book other = (Book) obj;
        if (!Objects.equals(this.name, other.name)) {
            return false;
        }
        if (!Objects.equals(this.isbn, other.isbn)) {
            return false;
        }
        if (!Objects.equals(this.libraryCode, other.libraryCode)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Book{" + "name=" + name + ", isbn=" + isbn + ", libraryCode=" + libraryCode + '}';
    }

}
